Results 1 to 6 of 6

Thread: Error after upgrade to 8.0.7

  1. #1
    moetiker's Avatar
    moetiker is offline Loyal Member
    Join Date
    Nov 2006
    Location
    Olten, Switzerland
    Posts
    82
    Rep Power
    8

    Default Error after upgrade to 8.0.7

    After the upgrade the cronjob:

    0,10,20,30,40,50 * * * * /opt/zimbra/libexec/zmqueuelog

    creates the output:

    Use of uninitialized value $current_proto in string eq at /usr/lib/perl/5.14/Sys/Syslog.pm line 374.
    Use of uninitialized value $current_proto in string eq at /usr/lib/perl/5.14/Sys/Syslog.pm line 377.

    any ideas of the cause?

    thanks Manuel

  2. #2
    phoenix is online now Zimbra Consultant & Moderator
    Join Date
    Sep 2005
    Location
    Vannes, France
    Posts
    23,566
    Rep Power
    57

    Default

    I'm afraid I've no idea, you haven't given any indication on which version of ZCS you're upgrading but the relevant forum threads on that topic are here.
    Regards


    Bill


    Acompli: A new adventure for Co-Founder KevinH.

  3. #3
    moetiker's Avatar
    moetiker is offline Loyal Member
    Join Date
    Nov 2006
    Location
    Olten, Switzerland
    Posts
    82
    Rep Power
    8

    Default

    from 8.0.6 to 8.0.7

    this change was helping:

    /usr/lib/perl/5.14/Sys/Syslog.pm
    #my $current_proto = undef; # current mechanism used to transmit messages
    my $current_proto = 0; # current mechanism used to transmit messages

    but I think this is not a good idea for a solution, it should work with the standard perl module.

  4. #4
    phoenix is online now Zimbra Consultant & Moderator
    Join Date
    Sep 2005
    Location
    Vannes, France
    Posts
    23,566
    Rep Power
    57

    Default

    Quote Originally Posted by moetiker View Post
    from 8.0.6 to 8.0.7
    the full output of "zmcontrol -v" is preferable, it also tells us which distribution you're using and sometimes that's important.

    Quote Originally Posted by moetiker View Post
    it should work with the standard perl module.
    It does as far as I know and it's also tested on a standard distribution of the supported distribution. If you think it's a bug then feel free to file a report in bugzilla.
    Regards


    Bill


    Acompli: A new adventure for Co-Founder KevinH.

  5. #5
    moetiker's Avatar
    moetiker is offline Loyal Member
    Join Date
    Nov 2006
    Location
    Olten, Switzerland
    Posts
    82
    Rep Power
    8

    Default

    Release 8.0.7.GA.6020.UBUNTU12.64 UBUNTU12_64 NETWORK edition.

  6. #6
    Fox_sibirsky is offline Active Member
    Join Date
    Sep 2009
    Location
    Russia, Novosibirsk
    Posts
    31
    Rep Power
    5

    Default

    My way:
    Today I had same problem, when I run my servers.
    First I fixed /usr/lib/perl/5.14/Sys/Syslog.pm, but I saw, so log files didn't have new records.
    I found so syslog service is not installed. It was removed during dist-upgarde Ubuntu services.
    I returned syslog-ng package and restarted service without errors.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. Upgrade error from 5.0.16 to 5.0.23
    By tansyuan in forum Installation
    Replies: 0
    Last Post: 06-01-2010, 09:46 PM
  2. Upgrade Error
    By carnold in forum Administrators
    Replies: 19
    Last Post: 11-18-2009, 06:43 AM
  3. Upgrade 5.0.19 to 6.0.2 ERROR
    By PaSar in forum Administrators
    Replies: 6
    Last Post: 10-24-2009, 06:10 PM
  4. Error on upgrade to 4.5.5
    By chrislfxp in forum Installation
    Replies: 3
    Last Post: 06-08-2007, 04:42 PM
  5. Error in upgrade M1->M2
    By DeusExLibris in forum Installation
    Replies: 1
    Last Post: 11-15-2005, 11:54 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •